List browser sessions.
curl --request GET \
--url https://api.infrawatch.com/api/v1/projects/{project_uuid}/sessions \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.infrawatch.com/api/v1/projects/{project_uuid}/sessions"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.infrawatch.com/api/v1/projects/{project_uuid}/sessions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.infrawatch.com/api/v1/projects/{project_uuid}/sessions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"pagination": {
"limit": 100,
"offset": 123,
"total": 1,
"has_more": true,
"next_cursor": "<string>"
},
"sessions": [
{
"created_at": "2023-11-07T05:31:56Z",
"creator": {
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"egress_country": "<string>",
"last_activity_at": "2023-11-07T05:31:56Z",
"project_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"start_url": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"viewport": {
"height": 1040,
"width": 1600
},
"close_requested_at": "2023-11-07T05:31:56Z",
"expires_at": "2023-11-07T05:31:56Z",
"ready_at": "2023-11-07T05:31:56Z",
"replayed_from_session_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"terminal_at": "2023-11-07T05:31:56Z"
}
]
}{
"error": {
"code": "<string>",
"message": "<string>",
"field_errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"field_errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"field_errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"field_errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
],
"request_id": "<string>"
}
}Sessions
List browser sessions.
Defaults to sessions created by the calling credential. Use
scope=project to list project session metadata; that scope requires
browser session management or project management permission.
GET
https://api.infrawatch.com/api/v1
/
projects
/
{project_uuid}
/
sessions
List browser sessions.
curl --request GET \
--url https://api.infrawatch.com/api/v1/projects/{project_uuid}/sessions \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.infrawatch.com/api/v1/projects/{project_uuid}/sessions"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.infrawatch.com/api/v1/projects/{project_uuid}/sessions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.infrawatch.com/api/v1/projects/{project_uuid}/sessions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"pagination": {
"limit": 100,
"offset": 123,
"total": 1,
"has_more": true,
"next_cursor": "<string>"
},
"sessions": [
{
"created_at": "2023-11-07T05:31:56Z",
"creator": {
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"egress_country": "<string>",
"last_activity_at": "2023-11-07T05:31:56Z",
"project_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"start_url": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"viewport": {
"height": 1040,
"width": 1600
},
"close_requested_at": "2023-11-07T05:31:56Z",
"expires_at": "2023-11-07T05:31:56Z",
"ready_at": "2023-11-07T05:31:56Z",
"replayed_from_session_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"terminal_at": "2023-11-07T05:31:56Z"
}
]
}{
"error": {
"code": "<string>",
"message": "<string>",
"field_errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"field_errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"field_errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"field_errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
],
"request_id": "<string>"
}
}Authorizations
Infrawatch API key. Supply the complete key directly as the header value.
Path Parameters
Query Parameters
Required range:
1 <= x <= 200Minimum string length:
1Available options:
caller, project Repeat the parameter or provide comma-separated values.
Available options:
queued, starting, ready, closing, closed, failed, expired ⌘I